corda / net.corda.node.services.persistence / InMemoryStateMachineRecordedTransactionMappingStorage

# InMemoryStateMachineRecordedTransactionMappingStorage

`@ThreadSafe class InMemoryStateMachineRecordedTransactionMappingStorage : StateMachineRecordedTransactionMappingStorage`

This is a temporary in-memory storage of a state machine id -> txhash mapping

TODO persist this instead

### Constructors

<init> | `InMemoryStateMachineRecordedTransactionMappingStorage()` This is a temporary in-memory storage of a state machine id -> txhash mapping

### Functions

addMapping | `fun addMapping(stateMachineRunId: StateMachineRunId, transactionId: SecureHash): Unit`
track | `fun track(): Pair<List<StateMachineTransactionMapping>, Observable<StateMachineTransactionMapping>>`